---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/admin/create-priority.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Create a priority

The request allows you to create a new priority for issues.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/priorities/</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_includes/api/query-admin.md -->
{% note info "" %}

You need [Administrator](https://yandex.com.tr/support/tracker/en/role-model.md#admin) rights to run this request.

{% endnote %}
<!-- endsource: en/_includes/api/query-admin.md -->

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Request format {#query}

Before making the request, [get access to the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To create a priority, use an HTTP request with the `POST` method. In the request body, specify the parameters in JSON format:

```json
POST /v3/priorities/
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth-token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
    "name": {
        "en": "English name",
        "ru": "Название на русском"
    },
    "key": "one",
    "order": 60,
    "description": "Description"
}
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Request body parameters" %}

The request body contains the information needed to create a new priority.

**Required parameters**

Parameter | Description | Data type
----- | ----- | -----
[name](#name) | Priority name | Object
key | Priority key | String
order | Priority weight. This parameter affects the order in which the priority is displayed in the interface | Number
description | Priority description | String

**Fields of the** `name` **object** {#name}

Parameter | Description | Data type
----- | ----- | -----
en | Priority name in English | String
ru | Priority name in Russian | String

{% endcut %}

## Response format {#answer}

{% list tabs %}

- Successful request

  <!-- source: en/_includes/api/answer-201.md -->
  If the request is successful, the API returns a response with code `201 Created`.
  <!-- endsource: en/_includes/api/answer-201.md -->

  The request body contains information about the created priority in JSON format.

  ```json
  {
      "self": "https://api.tracker.yandex.net/v3/priorities/6",
      "id": 6,
      "key": "one",
      "version": 1,
      "name": "Название на русском",
      "description": "Description",
      "order": 60
  }
  ```
  {% cut "Response parameters" %}

  Parameter | Description | Data type
  ----- | ----- | -----
  self | The address of the API resource that contains information about the priority | String
  id | Unique priority ID in Tracker | Number
  key | Priority key | String
  version | Priority version | Number
  name | Priority name | String
  description | Priority description | String
  order | Priority weight. This parameter affects the order in which the priority is displayed in the interface | Number

  {% endcut %}

- Request failed

  <!-- source: en/_includes/api/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/_includes/api/answer-error-404.md -->

  <!-- source: en/_includes/api/answer-error-409.md -->
  409
  :   There was a conflict when editing the object. The error may be due to an invalid update version.
  <!-- endsource: en/_includes/api/answer-error-409.md -->

{% endlist %}